Bug 1414391 - single partition disks not visible in custom partitioning dialog
Summary: single partition disks not visible in custom partitioning dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F26BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-01-18 12:08 UTC by Kamil Páral
Modified: 2017-05-12 14:11 UTC (History)
8 users (show)

Fixed In Version: anaconda-26.21.5-1 anaconda-26.21.6-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 14:11:25 UTC
Type: Bug


Attachments (Terms of Use)
custom partitioning screenshot (74.45 KB, image/png)
2017-01-18 12:09 UTC, Kamil Páral
no flags Details
guided partitioning screenshot (82.38 KB, image/png)
2017-01-18 12:09 UTC, Kamil Páral
no flags Details
anaconda.log (38.49 KB, text/plain)
2017-01-18 12:10 UTC, Kamil Páral
no flags Details
program.log (24.56 KB, text/plain)
2017-01-18 12:10 UTC, Kamil Páral
no flags Details
storage.log (55.67 KB, text/plain)
2017-01-18 12:10 UTC, Kamil Páral
no flags Details
syslog (271.69 KB, text/plain)
2017-01-18 12:10 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2017-01-18 12:08:33 UTC
Description of problem:
I have a VM with a single standard ext4 partition spanning the whole disk. If I boot anaconda, I don't see that partition in custom partitioning, therefore I can't delete it, therefore I can't create a new layout. But guided partitioning shows the partition just fine (so I can use to it install with a default layout, but I can't modify the layout).

Version-Release number of selected component (if applicable):
anaconda 26.19-1
Fedora-Everything-netinst-x86_64-Rawhide-20170117.n.0.iso

How reproducible:
always

Steps to Reproduce:
1. create a disk with a single standard ext4 partition (install Fedora 25 on it)
2. boot F26 installer (everything netinst)
3. enter custom partition
4. see that the partition is not visible, and you receive error "not enough free space" after clicking on "create layout automatically" link.

Comment 1 Kamil Páral 2017-01-18 12:09:40 UTC
Created attachment 1242126 [details]
custom partitioning screenshot

Comment 2 Kamil Páral 2017-01-18 12:09:49 UTC
Created attachment 1242127 [details]
guided partitioning screenshot

Comment 3 Kamil Páral 2017-01-18 12:10:08 UTC
Created attachment 1242129 [details]
anaconda.log

Comment 4 Kamil Páral 2017-01-18 12:10:12 UTC
Created attachment 1242130 [details]
program.log

Comment 5 Kamil Páral 2017-01-18 12:10:16 UTC
Created attachment 1242131 [details]
storage.log

Comment 6 Kamil Páral 2017-01-18 12:10:21 UTC
Created attachment 1242133 [details]
syslog

Comment 7 Kamil Páral 2017-01-18 12:12:49 UTC
Proposing as a Beta blocker:
"When using the custom partitioning flow, the installer must be able to:
    Correctly interpret, and modify as described below, any disk with a valid ms-dos or gpt disk label and partition table containing ext4 partitions, LVM and/or btrfs volumes, and/or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions"
https://fedoraproject.org/wiki/Fedora_26_Beta_Release_Criteria#Custom_partitioning

Comment 8 Geoffrey Marr 2017-02-13 20:07:19 UTC
Discussed during the 2017-02-13 blocker review meeting: [1]

The decision was made to classify this bug as an AcceptedBlocker was made as it violates the following Beta criteria:

"When using the custom partitioning flow, the installer must be able to: ... Correctly interpret, and modify as described below, any disk with a valid ms-dos or gpt disk label and partition table containing ext4 partitions ..."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-02-13/f26-blocker-review.2017-02-13-18.01.txt

Comment 9 David Lehman 2017-03-13 15:50:51 UTC
The partition is detected, but some logic is preventing it from being displayed in the ui:

3:03:32,414 DEBUG anaconda: ui: devices=['/LiveOS/rootfs.img', '/overlay (deleted)', '/run/install/repo/images/install.img', 'live-base', 'live-rw', 'loop0', 'loop1', 'loop2', 'sr0', 'vda', 'vda1']
13:03:32,415 DEBUG anaconda: ui: unused=[]
13:03:32,416 DEBUG anaconda: ui: new_devices=[]

Comment 10 Vendula Poncova 2017-04-28 11:44:22 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1046

Comment 11 Fedora Update System 2017-05-05 13:09:42 UTC
anaconda-26.21.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc418247a3

Comment 12 Fedora Update System 2017-05-05 22:39:31 UTC
anaconda-26.21.5-1.fc26, blivet-gui-2.1.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc418247a3

Comment 13 Kamil Páral 2017-05-09 08:40:50 UTC
(In reply to Fedora Update System from comment #12)
> anaconda-26.21.5-1.fc26, blivet-gui-2.1.4-1.fc26 

This fixes the the problem.

Comment 14 Fedora Update System 2017-05-09 15:17:40 UTC
anaconda-26.21.6-1.fc26 blivet-gui-2.1.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc418247a3

Comment 15 Fedora Update System 2017-05-12 02:10:18 UTC
anaconda-26.21.6-1.fc26, blivet-gui-2.1.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc418247a3

Comment 16 Fedora Update System 2017-05-12 14:11:25 UTC
anaconda-26.21.6-1.fc26, blivet-gui-2.1.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.